Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.service.importer.support.internal.aop
Class ServiceProviderTCCLInterceptor.ServiceProviderTCCLListener

    java.lang.Object
      org.eclipse.gemini.blueprint.service.importer.support.internal.aop.ServiceProviderTCCLInterceptor.ServiceProviderTCCLListener

All Implemented Interfaces:
  OsgiServiceLifecycleListener

Enclosing class:
  ServiceProviderTCCLInterceptor

    public class ServiceProviderTCCLInterceptor.ServiceProviderTCCLListener

extends Object
implements OsgiServiceLifecycleListener

Constructor Summary
`ServiceProviderTCCLInterceptor.ServiceProviderTCCLListener()`

Method Summary
`void` | `bind(Object service, Map properties)` Called when a service is being binded inside the proxy (be it single or multi value).
`void` | `unbind(Object service, Map properties)` Called when a service is being unbinded inside the proxy (be it single or multi value).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceProviderTCCLInterceptor.ServiceProviderTCCLListener

    public ServiceProviderTCCLInterceptor.ServiceProviderTCCLListener()

Method Detail

### bind

    public void bind(Object service,
                     Map properties)
              throws Exception

  Description copied from interface: `OsgiServiceLifecycleListener`
  Called when a service is being binded inside the proxy (be it single or multi value). The service properties are made available as a `Map` which can be safely cast to a `Dictionary` if needed.

  Specified by:
    `bind` in interface `OsgiServiceLifecycleListener`
  Parameters:
    `service` - the OSGi service instance
    `properties` - the service properties
  Throws:
    `Exception` - custom exception that is logged but not propagated to other listeners

### unbind

    public void unbind(Object service,
                       Map properties)
                throws Exception

  Description copied from interface: `OsgiServiceLifecycleListener`
  Called when a service is being unbinded inside the proxy (be it single or multi value). The service properties are made available as a `Map` which can be safely cast to a `Dictionary` if needed.

  Specified by:
    `unbind` in interface `OsgiServiceLifecycleListener`
  Parameters:
    `service` - the OSGi service instance
    `properties` - the service properties
  Throws:
    `Exception` - custom exception that is logged but not propagated to other listeners

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.